Name:           curseofwar
Version:        1.3.0
Release:        %mkrel 3
Summary:        Fast-paced action strategy game with ncurses and SDL frontends
Group:          Games/Strategy
License:        GPLv3+
URL:            https://a-nikolaev.github.io/curseofwar/
Source0:        https://github.com/a-nikolaev/curseofwar/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         curseofwar-1.3.0-mga-games-data-dir.patch

BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl)

%description
Curse of War is a fast-paced action strategy game for Linux originally
implemented using a ncurses user interface. An SDL graphical version has
also been implemented more recently.

Unlike most RTS, you are not controlling units, but focus on high-level
strategic planning: Building infrastructure, securing resources,
and moving your armies.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
# Binaries
install -d %{buildroot}%{_gamesbindir}
install -m755 build/%{name}     %{buildroot}%{_gamesbindir}/%{name}
install -m755 build/%{name}-sdl %{buildroot}%{_gamesbindir}/%{name}-sdl

# Tilesets for the SDL version
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a images %{buildroot}%{_gamesdatadir}/%{name}/

# Man pages
install -d %{buildroot}%{_mandir}/man6
install -m644 %{name}.6     %{buildroot}%{_mandir}/man6/%{name}.6
install -m644 %{name}-sdl.6 %{buildroot}%{_mandir}/man6/%{name}-sdl.6

# Icons
install -d %{buildroot}%{_iconsdir}/hicolor/16x16/apps
install -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
convert pixmaps/%{name}-16x16.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert pixmaps/%{name}-32x32.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# Desktop entries
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Curse of War (ascii)
GenericName=Fast-paced action strategy game with ncurses frontend
Comment=Fast-paced action strategy game with ncurses frontend
Exec=%{name}
Icon=%{name}
Terminal=true
Type=Application
Categories=Game;StrategyGame;
EOF

cat << EOF > %{buildroot}%{_datadir}/applications/%{name}-sdl.desktop
[Desktop Entry]
Name=Curse of War (SDL)
GenericName=Fast-paced action strategy game with SDL frontend
Comment=Fast-paced action strategy game with SDL frontend
Exec=%{name}-sdl
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc CHANGELOG LICENSE README
%{_datadir}/applications/%{name}*.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}*.6*


%changelog
* Thu Feb 01 2024 akien <akien> 1.3.0-3.mga10
+ Revision: 2036524
- Fix locating images for SDL frontend (mga#32765)

* Fri Apr 01 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1839218
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 akien <akien> 1.3.0-1.mga8
+ Revision: 1636707
- Version 1.3.0

* Thu Feb 13 2020 daviddavid <daviddavid> 1.2.0-1.47f7989.5.mga8
+ Revision: 1513143
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-1.47f7989.4.mga7
+ Revision: 1297376
- Mageia 7 Mass Rebuild

* Sat Mar 19 2016 pterjan <pterjan> 1.2.0-1.47f7989.3.mga6
+ Revision: 992966
- Make it compatible with mass rebuild

* Fri Sep 11 2015 ovitters <ovitters> 1.2.0-1.47f7989.2.mga6
+ Revision: 877044
+ rebuild (emptylog)

* Sat Oct 04 2014 akien <akien> 1.2.0-1.47f7989.2.mga5
+ Revision: 736835
- Fix desktop file
- imported package curseofwar

